/* Sistemas Integrados TEKNISA

Nome: 6705_ORETRGO_GRAVA_HISTORCAEVEN.sql

Descrio:
   GRAVA O HISTRICO DE ALTERAO DA SITUAO DO ORAMENTO

Criao:
  29/03/2007 Andr Rodrigo de Carvalho
*/

CREATE OR REPLACE TRIGGER GRAVA_HISTORCAEVEN
AFTER INSERT OR UPDATE
ON ORCAEVENTO FOR EACH ROW
DECLARE
   V_OLD_IDSITUORCEVE  VARCHAR2(1);
   V_EXISTE_HIST       FLOAT;
   V_SITU_ALTERADA     VARCHAR2(1);
BEGIN
   V_SITU_ALTERADA := 'S';
   IF INSERTING THEN
      V_OLD_IDSITUORCEVE := '';
   END IF;

   IF UPDATING THEN
      IF NVL(:OLD.IDSITUORCEVE, 'W') <> NVL(:NEW.IDSITUORCEVE, 'W') THEN
         V_SITU_ALTERADA := 'S';
      ELSE
         V_SITU_ALTERADA := 'N';
      END IF;

      V_OLD_IDSITUORCEVE := :OLD.IDSITUORCEVE;
   END IF;

   IF V_SITU_ALTERADA = 'S' THEN
      SELECT COUNT(CDFILIAL)
      INTO V_EXISTE_HIST
      FROM HISTORCAEVEN
      WHERE CDFILIAL     = :NEW.CDFILIAL
        AND NRORCAEVENTO = :NEW.NRORCAEVENTO
        AND NRSEQORCAEVE = :NEW.NRSEQORCAEVE
        AND CDOPERADOR   = :NEW.CDOPEJUSTORC
        AND DTHRHISTORCA = SYSDATE;

      IF V_EXISTE_HIST = 0 THEN
         INSERT INTO HISTORCAEVEN
           (CDFILIAL,     NRORCAEVENTO, NRSEQORCAEVE, CDOPERADOR,
            DTHRHISTORCA, IDSITANTHORC, IDSITATUHORC, CDJUSTEXCHIS)
         VALUES
           (:NEW.CDFILIAL, :NEW.NRORCAEVENTO, :NEW.NRSEQORCAEVE, :NEW.CDOPEJUSTORC,
            SYSDATE, V_OLD_IDSITUORCEVE, :NEW.IDSITUORCEVE, :NEW.CDJUSTEXCHIS);
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('GRAVA_HISTORCAEVEN','5.05.009'); END;
/

