/* Tabela IMPOSTO: Cadastro de Impostos */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela IMPOSTO */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela Imposto(Cadastro de Impostos),
             utilizando a tabela Geral de Logs de Operaes */
IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_FIS_IMPOSTO' AND
                 TYPE   = 'TR' 	            AND
	              U.UID  = O.UID        AND
	              U.NAME = USER)
DROP TRIGGER LOG_FIS_IMPOSTO
GO

CREATE TRIGGER LOG_FIS_IMPOSTO
ON IMPOSTO                      
FOR INSERT, UPDATE, DELETE
AS
   DECLARE  @V_USUARIO             VARCHAR(40);
   DECLARE  @V_TIPO                VARCHAR(1);
   DECLARE  @V_ITPESQ              VARCHAR(40);
   DECLARE  @V_DESC                VARCHAR(1000);
   DECLARE  @V_DTOPER              DATETIME;
   DECLARE  @V_DSREMOTEADDR        VARCHAR(15);
   DECLARE  @V_DSREMOTEHOST        VARCHAR(15);
   DECLARE  @V_DSSERVERRDM         VARCHAR(20);
   DECLARE  @V_DSSERVMETHOD        VARCHAR(30);
   DECLARE  @V_DSREMOTEOPER        VARCHAR(12);

/*VARIVEIS DO CURSOR C_CURSORi*/


   DECLARE  @V_ID_COMANDO          VARCHAR(1);

   DECLARE  @V_IDUTALIQTPOPER_OLD  VARCHAR(1);
   DECLARE  @V_IDMODBCSTNFE_OLD    VARCHAR(1);
   DECLARE  @V_IDMODBCNFE_OLD      VARCHAR(1);
   DECLARE  @V_IDCONTAIMPADIC_OLD  VARCHAR(1);
   DECLARE  @V_CDIMPOSTOXML_OLD    VARCHAR(2);
   DECLARE  @V_IDCONSVRBAPUIMP_OLD VARCHAR(1);
   DECLARE  @V_IDATUCCTBITIMP_OLD  VARCHAR(1);
   DECLARE  @V_CDTRIBISSQN_OLD     VARCHAR(1);
   DECLARE  @V_IDIMPVALIDASPED_OLD VARCHAR(1);
   DECLARE  @V_ID1UTREDUBC_OLD     VARCHAR(1);
   DECLARE  @V_CDTPBAIXAPAG_OLD    VARCHAR(2);
   DECLARE  @V_IDUTFORMPADIMP_OLD  VARCHAR(1);
   DECLARE  @V_VRLIMADICLCPR_OLD   FLOAT;
   DECLARE  @V_VRALIQIMPLCPR_OLD   FLOAT;
   DECLARE  @V_VRPERCADICIR_OLD    FLOAT;
   DECLARE  @V_VRALIQPRES_OLD      FLOAT;
   DECLARE  @V_NMLUCROPRESUMI_OLD  VARCHAR(50);
   DECLARE  @V_CDLUCROPRESUMI_OLD  VARCHAR(2);
   DECLARE  @V_CDAJUCTPAG_OLD      VARCHAR(4);
   DECLARE  @V_NMIMPCARGATRIB_OLD  VARCHAR(50);
   DECLARE  @V_CDIMPCARGATRIB_OLD  VARCHAR(2);
   DECLARE  @V_IDUTVLRQTDEIMPO_OLD VARCHAR(1);
   DECLARE  @V_IDACRPRODENTRNF_OLD VARCHAR(1);
   DECLARE  @V_IDGRUPFISSRV_OLD    VARCHAR(1);
   DECLARE  @V_VRMINBASECAL_OLD    DECIMAL(9);
   DECLARE  @V_VRMAXIMP_OLD        DECIMAL(9);
   DECLARE  @V_IDVRIMPSTRIB_OLD    VARCHAR(1);
   DECLARE  @V_IDUTVRMENSBC_OLD    VARCHAR(1);
   DECLARE  @V_SGIMPOSTO_OLD       VARCHAR(10);
   DECLARE  @V_CDOFICIMPO_OLD      VARCHAR(10);
   DECLARE  @V_NMIMPOSTO_OLD       VARCHAR(30);
   DECLARE  @V_IDTRATIMPO_OLD      VARCHAR(1);
   DECLARE  @V_IDTIPCONTAB_OLD     VARCHAR(1);
   DECLARE  @V_IDPRODNOTA_OLD      VARCHAR(1);
   DECLARE  @V_IDUTMUNIORIG_OLD    VARCHAR(1);
   DECLARE  @V_IDUTUFORIG_OLD      VARCHAR(1);
   DECLARE  @V_CDFORNECED_OLD      VARCHAR(21);
   DECLARE  @V_IDUTUFDEST_OLD      VARCHAR(1);
   DECLARE  @V_IDUTFAIXVLR_OLD     VARCHAR(1);
   DECLARE  @V_IDUTPARCDED_OLD     VARCHAR(1);
   DECLARE  @V_IDUTREDUBC_OLD      VARCHAR(1);
   DECLARE  @V_IDIMPORECUP_OLD     VARCHAR(1);
   DECLARE  @V_CDCCTBLDESP_OLD     VARCHAR(20);
   DECLARE  @V_CDCCTBLPASS_OLD     VARCHAR(20);
   DECLARE  @V_CDCCTBLATIV_OLD     VARCHAR(20);
   DECLARE  @V_CDCCTBLDADM_OLD     VARCHAR(20);
   DECLARE  @V_IDCONSISTENT_OLD    VARCHAR(1);
   DECLARE  @V_IDORGARRECAD_OLD    VARCHAR(1);
   DECLARE  @V_CDIMPOSAPUR_OLD     VARCHAR(2);
   DECLARE  @V_CDAJUCTREC_OLD      VARCHAR(4);
   DECLARE  @V_IDDESCRFONTE_OLD    VARCHAR(1);
   DECLARE  @V_CDINTIMPOSTO_OLD    VARCHAR(10);
   DECLARE  @V_CDIMPOSTRIB_OLD     VARCHAR(2);
   DECLARE  @V_CDTPCTPAGAR_OLD     VARCHAR(6);
   DECLARE  @V_IDTPIMPOSFIS_OLD    VARCHAR(1);
   DECLARE  @V_IDFORMAPUR_OLD      VARCHAR(1);
   DECLARE  @V_IDPREIMPENTR_OLD    VARCHAR(1);
   DECLARE  @V_CDIMPOSTO_OLD       VARCHAR(2);
   DECLARE  @V_CDIMPOSTONFE_OLD    VARCHAR(2);
   DECLARE  @V_IDDESONERAIMPO_OLD  VARCHAR(1);
   DECLARE  @V_IDUTCFOPREGFISC_OLD VARCHAR(1);
   DECLARE  @V_IDUTCSTREGFISC_OLD  VARCHAR(1);
   DECLARE  @V_IDUTVRPAUTA_OLD     VARCHAR(1);
   DECLARE  @V_IDUTILPVRIMPBC_OLD  VARCHAR(1);

   DECLARE  @V_IDUTALIQTPOPER_NEW  VARCHAR(1);
   DECLARE  @V_IDMODBCSTNFE_NEW    VARCHAR(1);
   DECLARE  @V_IDMODBCNFE_NEW      VARCHAR(1);
   DECLARE  @V_IDCONTAIMPADIC_NEW  VARCHAR(1);
   DECLARE  @V_CDIMPOSTOXML_NEW    VARCHAR(2);
   DECLARE  @V_IDCONSVRBAPUIMP_NEW VARCHAR(1);
   DECLARE  @V_IDATUCCTBITIMP_NEW  VARCHAR(1);
   DECLARE  @V_CDTRIBISSQN_NEW     VARCHAR(1);
   DECLARE  @V_IDIMPVALIDASPED_NEW VARCHAR(1);
   DECLARE  @V_ID1UTREDUBC_NEW     VARCHAR(1);
   DECLARE  @V_CDTPBAIXAPAG_NEW    VARCHAR(2);
   DECLARE  @V_IDUTFORMPADIMP_NEW  VARCHAR(1);
   DECLARE  @V_VRLIMADICLCPR_NEW   FLOAT;
   DECLARE  @V_VRALIQIMPLCPR_NEW   FLOAT;
   DECLARE  @V_VRPERCADICIR_NEW    FLOAT;
   DECLARE  @V_VRALIQPRES_NEW      FLOAT;
   DECLARE  @V_NMLUCROPRESUMI_NEW  VARCHAR(50);
   DECLARE  @V_CDLUCROPRESUMI_NEW  VARCHAR(2);
   DECLARE  @V_CDAJUCTPAG_NEW      VARCHAR(4);
   DECLARE  @V_NMIMPCARGATRIB_NEW  VARCHAR(50);
   DECLARE  @V_CDIMPCARGATRIB_NEW  VARCHAR(2);
   DECLARE  @V_IDUTVLRQTDEIMPO_NEW VARCHAR(1);
   DECLARE  @V_IDACRPRODENTRNF_NEW VARCHAR(1);
   DECLARE  @V_IDGRUPFISSRV_NEW    VARCHAR(1);
   DECLARE  @V_VRMINBASECAL_NEW    DECIMAL(9);
   DECLARE  @V_VRMAXIMP_NEW        DECIMAL(9);
   DECLARE  @V_IDVRIMPSTRIB_NEW    VARCHAR(1);
   DECLARE  @V_IDUTVRMENSBC_NEW    VARCHAR(1);
   DECLARE  @V_SGIMPOSTO_NEW       VARCHAR(10);
   DECLARE  @V_CDOFICIMPO_NEW      VARCHAR(10);
   DECLARE  @V_NMIMPOSTO_NEW       VARCHAR(30);
   DECLARE  @V_IDTRATIMPO_NEW      VARCHAR(1);
   DECLARE  @V_IDTIPCONTAB_NEW     VARCHAR(1);
   DECLARE  @V_IDPRODNOTA_NEW      VARCHAR(1);
   DECLARE  @V_IDUTMUNIORIG_NEW    VARCHAR(1);
   DECLARE  @V_IDUTUFORIG_NEW      VARCHAR(1);
   DECLARE  @V_CDFORNECED_NEW      VARCHAR(21);
   DECLARE  @V_IDUTUFDEST_NEW      VARCHAR(1);
   DECLARE  @V_IDUTFAIXVLR_NEW     VARCHAR(1);
   DECLARE  @V_IDUTPARCDED_NEW     VARCHAR(1);
   DECLARE  @V_IDUTREDUBC_NEW      VARCHAR(1);
   DECLARE  @V_IDIMPORECUP_NEW     VARCHAR(1);
   DECLARE  @V_CDCCTBLDESP_NEW     VARCHAR(20);
   DECLARE  @V_CDCCTBLPASS_NEW     VARCHAR(20);
   DECLARE  @V_CDCCTBLATIV_NEW     VARCHAR(20);
   DECLARE  @V_CDCCTBLDADM_NEW     VARCHAR(20);
   DECLARE  @V_IDCONSISTENT_NEW    VARCHAR(1);
   DECLARE  @V_IDORGARRECAD_NEW    VARCHAR(1);
   DECLARE  @V_CDIMPOSAPUR_NEW     VARCHAR(2);
   DECLARE  @V_CDAJUCTREC_NEW      VARCHAR(4);
   DECLARE  @V_IDDESCRFONTE_NEW    VARCHAR(1);
   DECLARE  @V_CDINTIMPOSTO_NEW    VARCHAR(10);
   DECLARE  @V_CDIMPOSTRIB_NEW     VARCHAR(2);
   DECLARE  @V_CDTPCTPAGAR_NEW     VARCHAR(6);
   DECLARE  @V_IDTPIMPOSFIS_NEW    VARCHAR(1);
   DECLARE  @V_IDFORMAPUR_NEW      VARCHAR(1);
   DECLARE  @V_IDPREIMPENTR_NEW    VARCHAR(1);
   DECLARE  @V_CDIMPOSTO_NEW       VARCHAR(2);
   DECLARE  @V_CDIMPOSTONFE_NEW    VARCHAR(2);
   DECLARE  @V_IDDESONERAIMPO_NEW  VARCHAR(1);
   DECLARE  @V_IDUTCFOPREGFISC_NEW VARCHAR(1);
   DECLARE  @V_IDUTCSTREGFISC_NEW  VARCHAR(1);
   DECLARE  @V_IDUTVRPAUTA_NEW     VARCHAR(1);
   DECLARE  @V_IDUTILPVRIMPBC_NEW  VARCHAR(1);
BEGIN
   SET @V_TIPO = '0';
   SET @V_DESC = '';

   DECLARE C_CURSORi CURSOR FOR
   SELECT
     'D' IDCOMANDO,
        IDUTALIQTPOPER,
        IDMODBCSTNFE,
        IDMODBCNFE,
        IDCONTAIMPADIC,
        CDIMPOSTOXML,
        IDCONSVRBAPUIMP,
        IDATUCCTBITIMP,
        CDTRIBISSQN,
        IDIMPVALIDASPED,
        ID1UTREDUBC,
        CDTPBAIXAPAG,
        IDUTFORMPADIMP,
        VRLIMADICLCPR,
        VRALIQIMPLCPR,
        VRPERCADICIR,
        VRALIQPRES,
        NMLUCROPRESUMI,
        CDLUCROPRESUMI,
        CDAJUCTPAG,
        NMIMPCARGATRIB,
        CDIMPCARGATRIB,
        IDUTVLRQTDEIMPO,
        IDACRPRODENTRNF,
        IDGRUPFISSRV,
        VRMINBASECAL,
        IDVRIMPSTRIB,
        IDUTVRMENSBC,
        SGIMPOSTO,
        CDOFICIMPO,
        NMIMPOSTO,
        IDTRATIMPO,
        IDTIPCONTAB,
        IDPRODNOTA,
        IDUTMUNIORIG,
        IDUTUFORIG,
        CDFORNECED,
        IDUTUFDEST,
        IDUTFAIXVLR,
        IDUTPARCDED,
        IDUTREDUBC,
        IDIMPORECUP,
        CDCCTBLDESP,
        CDCCTBLPASS,
        CDCCTBLATIV,
        CDCCTBLDADM,
        IDCONSISTENT,
        IDORGARRECAD,
        CDIMPOSAPUR,
        CDAJUCTREC,
        IDDESCRFONTE,
        CDINTIMPOSTO,
        CDIMPOSTRIB,
        CDTPCTPAGAR,
        IDTPIMPOSFIS,
        IDFORMAPUR,
        IDPREIMPENTR,
        CDIMPOSTO,
        CDIMPOSTONFE,
        IDDESONERAIMPO,
        IDUTCFOPREGFISC,
        IDUTCSTREGFISC,
        IDUTVRPAUTA,
        IDUTILPVRIMPBC,
        VRMAXIMP,

        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL,
        NULL

   FROM
     DELETED
   WHERE
     CDIMPOSTO NOT IN (SELECT CDIMPOSTO FROM INSERTED)
   UNION ALL

   SELECT 'U'
      IDCOMANDO,
      DELETED.IDUTALIQTPOPER,
      DELETED.IDMODBCSTNFE,
      DELETED.IDMODBCNFE,
      DELETED.IDCONTAIMPADIC,
      DELETED.CDIMPOSTOXML,
      DELETED.IDCONSVRBAPUIMP,
      DELETED.IDATUCCTBITIMP,
      DELETED.CDTRIBISSQN,
      DELETED.IDIMPVALIDASPED,
      DELETED.ID1UTREDUBC,
      DELETED.CDTPBAIXAPAG,
      DELETED.IDUTFORMPADIMP,
      DELETED.VRLIMADICLCPR,
      DELETED.VRALIQIMPLCPR,
      DELETED.VRPERCADICIR,
      DELETED.VRALIQPRES,
      DELETED.NMLUCROPRESUMI,
      DELETED.CDLUCROPRESUMI,
      DELETED.CDAJUCTPAG,
      DELETED.NMIMPCARGATRIB,
      DELETED.CDIMPCARGATRIB,
      DELETED.IDUTVLRQTDEIMPO,
      DELETED.IDACRPRODENTRNF,
      DELETED.IDGRUPFISSRV,
      DELETED.VRMINBASECAL,
      DELETED.IDVRIMPSTRIB,
      DELETED.IDUTVRMENSBC,
      DELETED.SGIMPOSTO,
      DELETED.CDOFICIMPO,
      DELETED.NMIMPOSTO,
      DELETED.IDTRATIMPO,
      DELETED.IDTIPCONTAB,
      DELETED.IDPRODNOTA,
      DELETED.IDUTMUNIORIG,
      DELETED.IDUTUFORIG,
      DELETED.CDFORNECED,
      DELETED.IDUTUFDEST,
      DELETED.IDUTFAIXVLR,
      DELETED.IDUTPARCDED,
      DELETED.IDUTREDUBC,
      DELETED.IDIMPORECUP,
      DELETED.CDCCTBLDESP,
      DELETED.CDCCTBLPASS,
      DELETED.CDCCTBLATIV,
      DELETED.CDCCTBLDADM,
      DELETED.IDCONSISTENT,
      DELETED.IDORGARRECAD,
      DELETED.CDIMPOSAPUR,
      DELETED.CDAJUCTREC,
      DELETED.IDDESCRFONTE,
      DELETED.CDINTIMPOSTO,
      DELETED.CDIMPOSTRIB,
      DELETED.CDTPCTPAGAR,
      DELETED.IDTPIMPOSFIS,
      DELETED.IDFORMAPUR,
      DELETED.IDPREIMPENTR,
      DELETED.CDIMPOSTO,
      DELETED.CDIMPOSTONFE,
      DELETED.IDDESONERAIMPO,
      DELETED.IDUTCFOPREGFISC,
      DELETED.IDUTCSTREGFISC,
      DELETED.IDUTVRPAUTA,
      DELETED.IDUTILPVRIMPBC,
      DELETED.VRMAXIMP,

      INSERTED.IDUTALIQTPOPER,
      INSERTED.IDMODBCSTNFE,
      INSERTED.IDMODBCNFE,
      INSERTED.IDCONTAIMPADIC,
      INSERTED.CDIMPOSTOXML,
      INSERTED.IDCONSVRBAPUIMP,
      INSERTED.IDATUCCTBITIMP,
      INSERTED.CDTRIBISSQN,
      INSERTED.IDIMPVALIDASPED,
      INSERTED.ID1UTREDUBC,
      INSERTED.CDTPBAIXAPAG,
      INSERTED.IDUTFORMPADIMP,
      INSERTED.VRLIMADICLCPR,
      INSERTED.VRALIQIMPLCPR,
      INSERTED.VRPERCADICIR,
      INSERTED.VRALIQPRES,
      INSERTED.NMLUCROPRESUMI,
      INSERTED.CDLUCROPRESUMI,
      INSERTED.CDAJUCTPAG,
      INSERTED.NMIMPCARGATRIB,
      INSERTED.CDIMPCARGATRIB,
      INSERTED.IDUTVLRQTDEIMPO,
      INSERTED.IDACRPRODENTRNF,
      INSERTED.IDGRUPFISSRV,
      INSERTED.VRMINBASECAL,
      INSERTED.IDVRIMPSTRIB,
      INSERTED.IDUTVRMENSBC,
      INSERTED.SGIMPOSTO,
      INSERTED.CDOFICIMPO,
      INSERTED.NMIMPOSTO,
      INSERTED.IDTRATIMPO,
      INSERTED.IDTIPCONTAB,
      INSERTED.IDPRODNOTA,
      INSERTED.IDUTMUNIORIG,
      INSERTED.IDUTUFORIG,
      INSERTED.CDFORNECED,
      INSERTED.IDUTUFDEST,
      INSERTED.IDUTFAIXVLR,
      INSERTED.IDUTPARCDED,
      INSERTED.IDUTREDUBC,
      INSERTED.IDIMPORECUP,
      INSERTED.CDCCTBLDESP,
      INSERTED.CDCCTBLPASS,
      INSERTED.CDCCTBLATIV,
      INSERTED.CDCCTBLDADM,
      INSERTED.IDCONSISTENT,
      INSERTED.IDORGARRECAD,
      INSERTED.CDIMPOSAPUR,
      INSERTED.CDAJUCTREC,
      INSERTED.IDDESCRFONTE,
      INSERTED.CDINTIMPOSTO,
      INSERTED.CDIMPOSTRIB,
      INSERTED.CDTPCTPAGAR,
      INSERTED.IDTPIMPOSFIS,
      INSERTED.IDFORMAPUR,
      INSERTED.IDPREIMPENTR,
      INSERTED.CDIMPOSTO,
      INSERTED.CDIMPOSTONFE,
      INSERTED.IDDESONERAIMPO,
      INSERTED.IDUTCFOPREGFISC,
      INSERTED.IDUTCSTREGFISC,
      INSERTED.IDUTVRPAUTA,
      INSERTED.IDUTILPVRIMPBC,
      INSERTED.VRMAXIMP
   FROM
      INSERTED,
      DELETED
   WHERE
      INSERTED.CDIMPOSTO = DELETED.CDIMPOSTO

   UNION ALL

   SELECT 'I'
      IDCOMANDO,

      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,

      IDUTALIQTPOPER,
      IDMODBCSTNFE,
      IDMODBCNFE,
      IDCONTAIMPADIC,
      CDIMPOSTOXML,
      IDCONSVRBAPUIMP,
      IDATUCCTBITIMP,
      CDTRIBISSQN,
      IDIMPVALIDASPED,
      ID1UTREDUBC,
      CDTPBAIXAPAG,
      IDUTFORMPADIMP,
      VRLIMADICLCPR,
      VRALIQIMPLCPR,
      VRPERCADICIR,
      VRALIQPRES,
      NMLUCROPRESUMI,
      CDLUCROPRESUMI,
      CDAJUCTPAG,
      NMIMPCARGATRIB,
      CDIMPCARGATRIB,
      IDUTVLRQTDEIMPO,
      IDACRPRODENTRNF,
      IDGRUPFISSRV,
      VRMINBASECAL,
      IDVRIMPSTRIB,
      IDUTVRMENSBC,
      SGIMPOSTO,
      CDOFICIMPO,
      NMIMPOSTO,
      IDTRATIMPO,
      IDTIPCONTAB,
      IDPRODNOTA,
      IDUTMUNIORIG,
      IDUTUFORIG,
      CDFORNECED,
      IDUTUFDEST,
      IDUTFAIXVLR,
      IDUTPARCDED,
      IDUTREDUBC,
      IDIMPORECUP,
      CDCCTBLDESP,
      CDCCTBLPASS,
      CDCCTBLATIV,
      CDCCTBLDADM,
      IDCONSISTENT,
      IDORGARRECAD,
      CDIMPOSAPUR,
      CDAJUCTREC,
      IDDESCRFONTE,
      CDINTIMPOSTO,
      CDIMPOSTRIB,
      CDTPCTPAGAR,
      IDTPIMPOSFIS,
      IDFORMAPUR,
      IDPREIMPENTR,
      CDIMPOSTO,
      CDIMPOSTONFE,
      IDDESONERAIMPO,
      IDUTCFOPREGFISC,
      IDUTCSTREGFISC,
      IDUTVRPAUTA,
      IDUTILPVRIMPBC,
      VRMAXIMP
   FROM
      INSERTED
   WHERE
      CDIMPOSTO NOT IN (SELECT CDIMPOSTO FROM DELETED);

   OPEN C_CURSORi;
   FETCH NEXT FROM C_CURSORi INTO
                                @V_ID_COMANDO,

                                @V_IDUTALIQTPOPER_OLD,
                                @V_IDMODBCSTNFE_OLD,
                                @V_IDMODBCNFE_OLD,
                                @V_IDCONTAIMPADIC_OLD,
                                @V_CDIMPOSTOXML_OLD,
                                @V_IDCONSVRBAPUIMP_OLD,
                                @V_IDATUCCTBITIMP_OLD,
                                @V_CDTRIBISSQN_OLD,
                                @V_IDIMPVALIDASPED_OLD,
                                @V_ID1UTREDUBC_OLD,
                                @V_CDTPBAIXAPAG_OLD,
                                @V_IDUTFORMPADIMP_OLD,
                                @V_VRLIMADICLCPR_OLD,
                                @V_VRALIQIMPLCPR_OLD,
                                @V_VRPERCADICIR_OLD,
                                @V_VRALIQPRES_OLD,
                                @V_NMLUCROPRESUMI_OLD,
                                @V_CDLUCROPRESUMI_OLD,
                                @V_CDAJUCTPAG_OLD,
                                @V_NMIMPCARGATRIB_OLD,
                                @V_CDIMPCARGATRIB_OLD,
                                @V_IDUTVLRQTDEIMPO_OLD,
                                @V_IDACRPRODENTRNF_OLD,
                                @V_IDGRUPFISSRV_OLD,
                                @V_VRMINBASECAL_OLD,
                                @V_IDVRIMPSTRIB_OLD,
                                @V_IDUTVRMENSBC_OLD,
                                @V_SGIMPOSTO_OLD,
                                @V_CDOFICIMPO_OLD,
                                @V_NMIMPOSTO_OLD,
                                @V_IDTRATIMPO_OLD,
                                @V_IDTIPCONTAB_OLD,
                                @V_IDPRODNOTA_OLD,
                                @V_IDUTMUNIORIG_OLD,
                                @V_IDUTUFORIG_OLD,
                                @V_CDFORNECED_OLD,
                                @V_IDUTUFDEST_OLD,
                                @V_IDUTFAIXVLR_OLD,
                                @V_IDUTPARCDED_OLD,
                                @V_IDUTREDUBC_OLD,
                                @V_IDIMPORECUP_OLD,
                                @V_CDCCTBLDESP_OLD,
                                @V_CDCCTBLPASS_OLD,
                                @V_CDCCTBLATIV_OLD,
                                @V_CDCCTBLDADM_OLD,
                                @V_IDCONSISTENT_OLD,
                                @V_IDORGARRECAD_OLD,
                                @V_CDIMPOSAPUR_OLD,
                                @V_CDAJUCTREC_OLD,
                                @V_IDDESCRFONTE_OLD,
                                @V_CDINTIMPOSTO_OLD,
                                @V_CDIMPOSTRIB_OLD,
                                @V_CDTPCTPAGAR_OLD,
                                @V_IDTPIMPOSFIS_OLD,
                                @V_IDFORMAPUR_OLD,
                                @V_IDPREIMPENTR_OLD,
                                @V_CDIMPOSTO_OLD,
                                @V_CDIMPOSTONFE_OLD,
                                @V_IDDESONERAIMPO_OLD,
                                @V_IDUTCFOPREGFISC_OLD,
                                @V_IDUTCSTREGFISC_OLD,
                                @V_IDUTVRPAUTA_OLD,
                                @V_IDUTILPVRIMPBC_OLD,
                                @V_VRMAXIMP_OLD,

                                @V_IDUTALIQTPOPER_NEW,
                                @V_IDMODBCSTNFE_NEW,
                                @V_IDMODBCNFE_NEW,
                                @V_IDCONTAIMPADIC_NEW,
                                @V_CDIMPOSTOXML_NEW,
                                @V_IDCONSVRBAPUIMP_NEW,
                                @V_IDATUCCTBITIMP_NEW,
                                @V_CDTRIBISSQN_NEW,
                                @V_IDIMPVALIDASPED_NEW,
                                @V_ID1UTREDUBC_NEW,
                                @V_CDTPBAIXAPAG_NEW,
                                @V_IDUTFORMPADIMP_NEW,  
                                @V_VRLIMADICLCPR_NEW,
                                @V_VRALIQIMPLCPR_NEW,
                                @V_VRPERCADICIR_NEW,
                                @V_VRALIQPRES_NEW,
                                @V_NMLUCROPRESUMI_NEW,
                                @V_CDLUCROPRESUMI_NEW,
                                @V_CDAJUCTPAG_NEW,
                                @V_NMIMPCARGATRIB_NEW,
                                @V_CDIMPCARGATRIB_NEW,
                                @V_IDUTVLRQTDEIMPO_NEW,
                                @V_IDACRPRODENTRNF_NEW,
                                @V_IDGRUPFISSRV_NEW,
                                @V_VRMINBASECAL_NEW,
                                @V_IDVRIMPSTRIB_NEW,
                                @V_IDUTVRMENSBC_NEW,
                                @V_SGIMPOSTO_NEW,
                                @V_CDOFICIMPO_NEW,
                                @V_NMIMPOSTO_NEW,
                                @V_IDTRATIMPO_NEW,
                                @V_IDTIPCONTAB_NEW,
                                @V_IDPRODNOTA_NEW,
                                @V_IDUTMUNIORIG_NEW,
                                @V_IDUTUFORIG_NEW,
                                @V_CDFORNECED_NEW,
                                @V_IDUTUFDEST_NEW,
                                @V_IDUTFAIXVLR_NEW,
                                @V_IDUTPARCDED_NEW,
                                @V_IDUTREDUBC_NEW,
                                @V_IDIMPORECUP_NEW,
                                @V_CDCCTBLDESP_NEW,
                                @V_CDCCTBLPASS_NEW,
                                @V_CDCCTBLATIV_NEW,
                                @V_CDCCTBLDADM_NEW,
                                @V_IDCONSISTENT_NEW,
                                @V_IDORGARRECAD_NEW,
                                @V_CDIMPOSAPUR_NEW,
                                @V_CDAJUCTREC_NEW,
                                @V_IDDESCRFONTE_NEW,
                                @V_CDINTIMPOSTO_NEW,
                                @V_CDIMPOSTRIB_NEW,
                                @V_CDTPCTPAGAR_NEW,
                                @V_IDTPIMPOSFIS_NEW,
                                @V_IDFORMAPUR_NEW,
                                @V_IDPREIMPENTR_NEW,
                                @V_CDIMPOSTO_NEW,
                                @V_CDIMPOSTONFE_NEW,
                                @V_IDDESONERAIMPO_NEW,
                                @V_IDUTCFOPREGFISC_NEW,
                                @V_IDUTCSTREGFISC_NEW,
                                @V_IDUTVRPAUTA_NEW,
                                @V_IDUTILPVRIMPBC_NEW,
                                @V_VRMAXIMP_NEW;


   WHILE (@@FETCH_STATUS = 0) BEGIN
      IF @V_ID_COMANDO = 'D' BEGIN
         SET @V_TIPO ='3';
         SET @V_ITPESQ =@V_CDIMPOSTO_OLD;

         IF @V_IDTRATIMPO_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' TratImpo=' + @V_IDTRATIMPO_OLD;
         END;

         IF @V_IDMODBCSTNFE_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' IdModBCCSTNFE=' + @V_IDMODBCSTNFE_OLD;
         END;

         IF @V_IDMODBCNFE_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' IdModBCNFE=' + @V_IDMODBCNFE_OLD;
         END;

         IF @V_IDCONTAIMPADIC_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' IdContImpAd=' + @V_IDCONTAIMPADIC_OLD;
         END;

         IF @V_CDIMPOSTOXML_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' CdImpXml=' + @V_CDIMPOSTOXML_OLD;
         END;

         IF @V_IDCONSVRBAPUIMP_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' IdConsImp=' + @V_IDCONSVRBAPUIMP_OLD;
         END;

         IF @V_IDATUCCTBITIMP_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' AtuaImp=' + @V_IDATUCCTBITIMP_OLD;
         END;

         IF @V_CDTRIBISSQN_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' CdTribIss=' + @V_CDTRIBISSQN_OLD;
         END;

         IF @V_IDIMPVALIDASPED_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' ImpSped=' + @V_IDIMPVALIDASPED_OLD;
         END;

         IF @V_ID1UTREDUBC_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' RedBc=' + @V_ID1UTREDUBC_OLD;
         END;

         IF @V_CDTPBAIXAPAG_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' CdBaixPag=' + @V_CDTPBAIXAPAG_OLD;
         END;

         IF @V_IDUTFORMPADIMP_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' IdUtImp=' + @V_IDUTFORMPADIMP_OLD;
         END;

         IF @V_VRLIMADICLCPR_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' VlrLimAd=' + CONVERT(VARCHAR, @V_VRLIMADICLCPR_OLD);
         END;

         IF @V_VRALIQIMPLCPR_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' VlrAlqImpLcPres=' + CONVERT(VARCHAR, @V_VRALIQIMPLCPR_OLD);
         END;

         IF @V_VRPERCADICIR_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' VlwIr=' + CONVERT(VARCHAR, @V_VRPERCADICIR_OLD);
         END;

         IF @V_VRALIQPRES_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' VlrAlqPres=' + CONVERT(VARCHAR, @V_VRALIQPRES_OLD);
         END;

         IF @V_NMLUCROPRESUMI_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' NmLucrPres=' + @V_NMLUCROPRESUMI_OLD;
         END;

          IF @V_CDLUCROPRESUMI_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' CdLucroPres=' + @V_CDLUCROPRESUMI_OLD;
         END;

         IF @V_CDAJUCTPAG_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' CdAjuPag=' + @V_CDAJUCTPAG_OLD;
         END;

         IF @V_NMIMPCARGATRIB_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' NmImpCargTrib=' + @V_NMIMPCARGATRIB_OLD;
         END;

         IF @V_CDIMPCARGATRIB_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' ImpCargTrib=' + @V_CDIMPCARGATRIB_OLD;
         END;

         IF @V_IDUTVLRQTDEIMPO_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' VlrQnt=' + @V_IDUTVLRQTDEIMPO_OLD;
         END;

         IF @V_IDACRPRODENTRNF_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' EntNf=' + @V_IDACRPRODENTRNF_OLD;
         END;

         IF @V_IDGRUPFISSRV_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' GrupFis=' + @V_IDGRUPFISSRV_OLD;
         END;

         IF @V_VRMINBASECAL_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' VlrMinBc=' + CONVERT(VARCHAR, @V_VRMINBASECAL_OLD);
         END;

         IF @V_IDVRIMPSTRIB_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' VlrTrib=' + @V_IDVRIMPSTRIB_OLD;
         END;

         IF @V_IDUTVRMENSBC_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' VlrBc=' + @V_IDUTVRMENSBC_OLD;
         END;

         IF @V_SGIMPOSTO_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' SgImposto=' + @V_SGIMPOSTO_OLD;
         END;

         IF @V_CDOFICIMPO_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' CdFicImpo=' + @V_CDOFICIMPO_OLD;
         END;

         IF @V_NMIMPOSTO_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' NmImposto=' + @V_NMIMPOSTO_OLD;
         END;

         IF @V_IDTIPCONTAB_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' TipoContab=' + @V_IDTIPCONTAB_OLD;
         END;

         IF @V_IDPRODNOTA_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' ProdNota=' + @V_IDPRODNOTA_OLD;
         END;

         IF @V_IDUTMUNIORIG_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' MuniOrig=' + @V_IDUTMUNIORIG_OLD;
         END;

         IF @V_IDUTUFORIG_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' UFOrig=' + @V_IDUTUFORIG_OLD;
         END;

         IF @V_CDFORNECED_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' CodForn=' + @V_CDFORNECED_OLD;
         END;

         IF @V_IDUTUFDEST_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' UFDest=' + @V_IDUTUFDEST_OLD;
         END;

         IF @V_IDUTFAIXVLR_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' FaixVR=' + @V_IDUTFAIXVLR_OLD;
         END;

         IF @V_IDUTPARCDED_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' ParcDed=' + @V_IDUTPARCDED_OLD;
         END;

         IF @V_IDUTREDUBC_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' RedBC=' + @V_IDUTREDUBC_OLD;
         END;

         IF @V_IDIMPORECUP_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' ImpoRecup=' + @V_IDIMPORECUP_OLD;
         END;

         IF @V_CDCCTBLDESP_OLD IS NOT NULL BEGIN
           SET @V_DESC =@V_DESC + ' CCtbDesp=' + @V_CDCCTBLDESP_OLD;
         END;

         IF @V_CDCCTBLPASS_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' CCtbPass=' + @V_CDCCTBLPASS_OLD;
         END;

         IF @V_CDCCTBLATIV_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' CCtbPass=' + @V_CDCCTBLATIV_OLD;
         END;

         IF @V_CDCCTBLDADM_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' CCtbADM=' + @V_CDCCTBLDADM_OLD;
         END;

         IF @V_IDCONSISTENT_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' ConsEntr=' + @V_IDCONSISTENT_OLD;
         END;

         IF @V_IDORGARRECAD_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' OrgArrecad=' + @V_IDORGARRECAD_OLD;
         END;

         IF @V_CDIMPOSAPUR_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' ImposApur=' + @V_CDIMPOSAPUR_OLD;
         END;

         IF @V_CDAJUCTREC_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' AjCtReceb=' + @V_CDAJUCTREC_OLD;
         END;

         IF @V_IDDESCRFONTE_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' DesCRFonte=' + @V_IDDESCRFONTE_OLD;
         END;

         IF @V_IDPREIMPENTR_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' PreImpEntr=' + @V_IDPREIMPENTR_OLD;
         END;

         IF @V_CDINTIMPOSTO_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' IntImposto=' + @V_CDINTIMPOSTO_OLD;
         END;

         IF @V_CDIMPOSTRIB_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' ImposTrib=' + @V_CDIMPOSTRIB_OLD;
         END;

         IF @V_CDTPCTPAGAR_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' TpCtPagar=' + @V_CDTPCTPAGAR_OLD;
         END;

         IF @V_IDTPIMPOSFIS_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' TpImposFis=' + @V_IDTPIMPOSFIS_OLD;
         END;

         IF @V_IDFORMAPUR_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' FormApur=' + @V_IDFORMAPUR_OLD;
         END;

         IF @V_IDUTALIQTPOPER_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' UtAliqTpOp=' + @V_IDUTALIQTPOPER_OLD;
         END;

         IF @V_CDIMPOSTONFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CdImpostoNFE=' + @V_CDIMPOSTONFE_OLD;
         END;

         IF @V_IDDESONERAIMPO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdDesoneraImpo=' + @V_IDDESONERAIMPO_OLD;
         END;

         IF @V_IDUTCFOPREGFISC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Utiliza CFOP=' + @V_IDUTCFOPREGFISC_OLD;
         END;

         IF @V_IDUTCSTREGFISC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Utiliza CST=' + @V_IDUTCSTREGFISC_OLD;
         END;

         IF @V_IDUTVRPAUTA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtVrPautaFisc=' + @V_IDUTVRPAUTA_OLD;
         END;

         IF @V_IDUTILPVRIMPBC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtVrImpBCalc=' + @V_IDUTILPVRIMPBC_OLD;
         END;

         IF @V_VRMAXIMP_OLD IS NOT NULL BEGIN
            SET @V_DESC =@V_DESC + ' VrMaxImp=' + CONVERT(VARCHAR, @V_VRMAXIMP_OLD);
         END;

      END
      ELSE
      IF @V_ID_COMANDO= 'U' /*UPDATING*/ BEGIN
         IF (ISNULL(@V_IDUTALIQTPOPER_OLD,'!')  <> ISNULL(@V_IDUTALIQTPOPER_NEW,'!'))      OR
            (ISNULL(@V_IDMODBCSTNFE_OLD,'!')  <> ISNULL(@V_IDMODBCSTNFE_NEW,'!'))          OR
            (ISNULL(@V_IDMODBCNFE_OLD,'!')  <> ISNULL(@V_IDMODBCNFE_NEW,'!'))              OR
            (ISNULL(@V_IDCONTAIMPADIC_OLD,'!')  <> ISNULL(@V_IDCONTAIMPADIC_NEW,'!'))      OR
            (ISNULL(@V_CDIMPOSTOXML_OLD,'!')  <> ISNULL(@V_CDIMPOSTOXML_NEW,'!'))          OR
            (ISNULL(@V_IDCONSVRBAPUIMP_OLD,'!')  <> ISNULL(@V_IDCONSVRBAPUIMP_NEW,'!'))    OR
            (ISNULL(@V_IDATUCCTBITIMP_OLD,'!')  <> ISNULL(@V_IDATUCCTBITIMP_NEW,'!'))      OR
            (ISNULL(@V_CDTRIBISSQN_OLD,'!')  <> ISNULL(@V_CDTRIBISSQN_NEW,'!'))            OR
            (ISNULL(@V_IDIMPVALIDASPED_OLD,'!')  <> ISNULL(@V_IDIMPVALIDASPED_NEW,'!'))    OR
            (ISNULL(@V_ID1UTREDUBC_OLD,'!')  <> ISNULL(@V_ID1UTREDUBC_NEW,'!'))            OR
            (ISNULL(@V_CDTPBAIXAPAG_OLD,'!')  <> ISNULL(@V_CDTPBAIXAPAG_NEW,'!'))          OR
            (ISNULL(@V_IDUTFORMPADIMP_OLD,'!')  <> ISNULL(@V_IDUTFORMPADIMP_NEW,'!'))      OR
            (ISNULL(@V_VRLIMADICLCPR_OLD, -1) <> ISNULL(@V_VRLIMADICLCPR_NEW, -1))         OR
            (ISNULL(@V_VRALIQIMPLCPR_OLD, -1) <> ISNULL(@V_VRALIQIMPLCPR_NEW, -1))         OR
            (ISNULL(@V_VRPERCADICIR_OLD,  -1) <> ISNULL(@V_VRPERCADICIR_NEW, -1))          OR
            (ISNULL(@V_VRALIQPRES_OLD,    -1) <> ISNULL(@V_VRALIQPRES_NEW, -1))            OR
            (ISNULL(@V_NMLUCROPRESUMI_OLD,'!')  <> ISNULL(@V_NMLUCROPRESUMI_NEW,'!'))      OR
            (ISNULL(@V_CDLUCROPRESUMI_OLD,'!')  <> ISNULL(@V_CDLUCROPRESUMI_NEW,'!'))      OR
            (ISNULL(@V_NMIMPCARGATRIB_OLD,'!')  <> ISNULL(@V_NMIMPCARGATRIB_NEW,'!'))      OR
            (ISNULL(@V_CDIMPCARGATRIB_OLD,'!')  <> ISNULL(@V_CDIMPCARGATRIB_NEW,'!'))      OR
            (ISNULL(@V_IDUTVLRQTDEIMPO_OLD,'!')  <> ISNULL(@V_IDUTVLRQTDEIMPO_NEW,'!'))    OR
            (ISNULL(@V_IDACRPRODENTRNF_OLD,'!')  <> ISNULL(@V_IDACRPRODENTRNF_NEW,'!'))    OR
            (ISNULL(@V_IDGRUPFISSRV_OLD,'!')  <> ISNULL(@V_IDGRUPFISSRV_NEW,'!'))          OR
            (ISNULL(@V_VRMINBASECAL_OLD, -1) <> ISNULL(@V_VRMINBASECAL_NEW, -1))           OR
            (ISNULL(@V_IDVRIMPSTRIB_OLD,'!')  <> ISNULL(@V_IDVRIMPSTRIB_NEW,'!'))          OR
            (ISNULL(@V_IDUTVRMENSBC_OLD,'!')  <> ISNULL(@V_IDUTVRMENSBC_NEW,'!'))          OR
            (ISNULL(@V_CDAJUCTPAG_OLD,'!')  <> ISNULL(@V_CDAJUCTPAG_NEW,'!'))              OR
            (ISNULL(@V_SGIMPOSTO_OLD,'!')  <> ISNULL(@V_SGIMPOSTO_NEW,'!'))                OR
            (ISNULL(@V_CDOFICIMPO_OLD,'!')  <> ISNULL(@V_CDOFICIMPO_NEW,'!'))              OR
            (ISNULL(@V_NMIMPOSTO_OLD,'!')  <> ISNULL(@V_NMIMPOSTO_NEW,'!'))                OR
            (ISNULL(@V_IDTRATIMPO_OLD,'!')  <> ISNULL(@V_IDTRATIMPO_NEW,'!'))              OR
            (ISNULL(@V_IDTIPCONTAB_OLD,'!')  <> ISNULL(@V_IDTIPCONTAB_NEW,'!'))            OR
            (ISNULL(@V_IDPRODNOTA_OLD,'!')  <> ISNULL(@V_IDPRODNOTA_NEW,'!'))              OR
            (ISNULL(@V_IDUTMUNIORIG_OLD,'!')  <> ISNULL(@V_IDUTMUNIORIG_NEW,'!'))          OR
            (ISNULL(@V_IDUTUFORIG_OLD,'!')  <> ISNULL(@V_IDUTUFORIG_NEW,'!'))              OR
            (ISNULL(@V_CDFORNECED_OLD,'!')  <> ISNULL(@V_CDFORNECED_NEW,'!'))              OR
            (ISNULL(@V_IDUTUFDEST_OLD,'!')  <> ISNULL(@V_IDUTUFDEST_NEW,'!'))              OR
            (ISNULL(@V_IDUTFAIXVLR_OLD,'!')  <> ISNULL(@V_IDUTFAIXVLR_NEW,'!'))            OR
            (ISNULL(@V_IDUTPARCDED_OLD,'!')  <> ISNULL(@V_IDUTPARCDED_NEW,'!'))            OR
            (ISNULL(@V_IDUTREDUBC_OLD,'!')  <> ISNULL(@V_IDUTREDUBC_NEW,'!'))              OR
            (ISNULL(@V_IDIMPORECUP_OLD,'!')  <> ISNULL(@V_IDIMPORECUP_NEW,'!'))            OR
            (ISNULL(@V_IDCONSISTENT_OLD,'!')  <> ISNULL(@V_IDCONSISTENT_NEW,'!'))          OR
            (ISNULL(@V_IDORGARRECAD_OLD,'!')  <> ISNULL(@V_IDORGARRECAD_NEW,'!'))          OR
            (ISNULL(@V_CDIMPOSAPUR_OLD,'!')  <> ISNULL(@V_CDIMPOSAPUR_NEW,'!'))            OR
            (ISNULL(@V_CDAJUCTREC_OLD,'!')  <> ISNULL(@V_CDAJUCTREC_NEW,'!'))              OR
            (ISNULL(@V_CDCCTBLDESP_OLD,'!')  <> ISNULL(@V_CDCCTBLDESP_NEW,'!'))            OR
            (ISNULL(@V_CDCCTBLPASS_OLD,'!')  <> ISNULL(@V_CDCCTBLPASS_NEW,'!'))            OR
            (ISNULL(@V_CDCCTBLATIV_OLD,'!')  <> ISNULL(@V_CDCCTBLATIV_NEW,'!'))            OR
            (ISNULL(@V_CDCCTBLDADM_OLD,'!')  <> ISNULL(@V_CDCCTBLDADM_NEW,'!'))            OR
            (ISNULL(@V_IDDESCRFONTE_OLD,'!')  <> ISNULL(@V_IDDESCRFONTE_NEW,'!'))          OR
            (ISNULL(@V_CDINTIMPOSTO_OLD,'!')  <> ISNULL(@V_CDINTIMPOSTO_NEW,'!'))          OR
            (ISNULL(@V_CDIMPOSTRIB_OLD,'!')  <> ISNULL(@V_CDIMPOSTRIB_NEW,'!'))            OR
            (ISNULL(@V_CDTPCTPAGAR_OLD,'!')  <> ISNULL(@V_CDTPCTPAGAR_NEW,'!'))            OR
            (ISNULL(@V_IDTPIMPOSFIS_OLD,'!')  <> ISNULL(@V_IDTPIMPOSFIS_NEW,'!'))          OR
            (ISNULL(@V_IDFORMAPUR_OLD,'!')  <> ISNULL(@V_IDFORMAPUR_NEW,'!'))              OR
            (ISNULL(@V_IDUTCFOPREGFISC_OLD,'!')  <> ISNULL(@V_IDUTCFOPREGFISC_NEW,'!'))    OR
            (ISNULL(@V_IDUTCSTREGFISC_OLD,'!')  <> ISNULL(@V_IDUTCSTREGFISC_NEW,'!'))      OR
            (ISNULL(@V_CDIMPOSTO_OLD,'!')  <> ISNULL(@V_CDIMPOSTO_NEW,'!'))                OR
            (ISNULL(@V_IDDESONERAIMPO_OLD,'!')  <> ISNULL(@V_IDDESONERAIMPO_NEW,'!'))      OR
            (ISNULL(@V_CDIMPOSTONFE_OLD, '!') <> ISNULL(@V_CDIMPOSTONFE_NEW, '!'))         OR
            (ISNULL(@V_IDUTILPVRIMPBC_OLD, '!') <> ISNULL(@V_IDUTILPVRIMPBC_NEW, '!'))     OR
            (ISNULL(@V_IDUTVRPAUTA_OLD, '!') <> ISNULL(@V_IDUTVRPAUTA_NEW, '!'))           OR
            (ISNULL(@V_VRMAXIMP_OLD, -1) <> ISNULL(@V_VRMAXIMP_NEW, -1))           
            BEGIN
            SET @V_ITPESQ =@V_CDIMPOSTO_OLD;
            SET @V_TIPO ='2';
         END;
      END
      ELSE BEGIN
         SET @V_TIPO   ='1';
         SET @V_ITPESQ =@V_CDIMPOSTO_NEW;
      END;

         IF ISNULL(@V_IDTRATIMPO_NEW, '!') <> ISNULL(@V_IDTRATIMPO_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' TratImpo=' + @V_IDTRATIMPO_NEW;
         END;

         IF ISNULL(@V_CDIMPOSTO_NEW, '!') <> ISNULL(@V_CDIMPOSTO_OLD, '!')              BEGIN
            SET @V_DESC = @V_DESC + ' Imposto=' + @V_CDIMPOSTO_NEW;
         END;

         IF ISNULL(@V_IDFORMAPUR_NEW, '!') <> ISNULL(@V_IDFORMAPUR_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' FormApur=' + @V_IDFORMAPUR_NEW;
         END;

         IF ISNULL(@V_IDTPIMPOSFIS_NEW, '!') <> ISNULL(@V_IDTPIMPOSFIS_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' TpImpFis=' + @V_IDTPIMPOSFIS_NEW;
         END;

         IF ISNULL(@V_CDTPCTPAGAR_NEW, '!') <> ISNULL(@V_CDTPCTPAGAR_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' TpcTPagar=' + @V_CDTPCTPAGAR_NEW;
         END;

         IF ISNULL(@V_CDIMPOSTRIB_NEW, '!') <> ISNULL(@V_CDIMPOSTRIB_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' ImpTrib=' + @V_CDIMPOSTRIB_NEW;
         END;

         IF ISNULL(@V_CDINTIMPOSTO_NEW, '!') <> ISNULL(@V_CDINTIMPOSTO_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' IntImp=' + @V_CDINTIMPOSTO_NEW;
         END;

         IF ISNULL(@V_IDDESCRFONTE_NEW, '!') <> ISNULL(@V_IDDESCRFONTE_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' DescFonte=' + @V_IDDESCRFONTE_NEW;
         END;

         IF ISNULL(@V_CDCCTBLDADM_NEW, '!') <> ISNULL(@V_CDCCTBLDADM_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' CcAdm=' + @V_CDCCTBLDADM_NEW;
         END;

         IF ISNULL(@V_CDCCTBLATIV_NEW, '!') <> ISNULL(@V_CDCCTBLATIV_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' CcAtiv=' + @V_CDCCTBLATIV_NEW;
         END;

         IF ISNULL(@V_CDCCTBLPASS_NEW, '!') <> ISNULL(@V_CDCCTBLPASS_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' CcPass=' + @V_CDCCTBLPASS_NEW;
         END;

         IF ISNULL(@V_CDCCTBLDESP_NEW, '!') <> ISNULL(@V_CDCCTBLDESP_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' CcDesp=' + @V_CDCCTBLDESP_NEW;
         END;

         IF ISNULL(@V_CDAJUCTREC_NEW, '!') <> ISNULL(@V_CDAJUCTREC_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' AjucTrec=' + @V_CDAJUCTREC_NEW;
         END;

         IF ISNULL(@V_CDIMPOSAPUR_NEW, '!') <> ISNULL(@V_CDIMPOSAPUR_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' ImpApur=' + @V_CDIMPOSAPUR_NEW;
         END;

         IF ISNULL(@V_IDORGARRECAD_NEW, '!') <> ISNULL(@V_IDORGARRECAD_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' OrgArrecad=' + @V_IDORGARRECAD_NEW;
         END;

         IF ISNULL(@V_IDCONSISTENT_NEW, '!') <> ISNULL(@V_IDCONSISTENT_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' ConstEnt=' + @V_IDCONSISTENT_NEW;
         END;

         IF ISNULL(@V_IDMODBCSTNFE_NEW, '!') <> ISNULL(@V_IDMODBCSTNFE_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' IdModBCSTNFE=' + @V_IDMODBCSTNFE_NEW;
         END;

         IF ISNULL(@V_IDMODBCNFE_NEW, '!') <> ISNULL(@V_IDMODBCNFE_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' IdModBCNFE=' + @V_IDMODBCNFE_NEW;
         END;

         IF ISNULL(@V_IDCONTAIMPADIC_NEW, '!') <> ISNULL(@V_IDCONTAIMPADIC_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' IdContImpAd=' + @V_IDCONTAIMPADIC_NEW;
         END;

         IF ISNULL(@V_CDIMPOSTOXML_NEW, '!') <> ISNULL(@V_CDIMPOSTOXML_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' CdImpXml=' + @V_CDIMPOSTOXML_NEW;
         END;

         IF ISNULL(@V_IDCONSVRBAPUIMP_NEW, '!') <> ISNULL(@V_IDCONSVRBAPUIMP_OLD, '!')  BEGIN
            SET @V_DESC = @V_DESC + ' IdConsImp=' + @V_IDCONSVRBAPUIMP_NEW;
         END;

         IF ISNULL(@V_IDATUCCTBITIMP_NEW, '!') <> ISNULL(@V_IDATUCCTBITIMP_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' AtuaImp=' + @V_IDATUCCTBITIMP_NEW;
         END;

         IF ISNULL(@V_CDTRIBISSQN_NEW, '!') <> ISNULL(@V_CDTRIBISSQN_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' CdTribIss=' + @V_CDTRIBISSQN_NEW;
         END;

         IF ISNULL(@V_IDIMPVALIDASPED_NEW, '!') <> ISNULL(@V_IDIMPVALIDASPED_OLD, '!')  BEGIN
            SET @V_DESC = @V_DESC + ' ImpSped=' + @V_IDATUCCTBITIMP_NEW;
         END;

         IF ISNULL(@V_ID1UTREDUBC_NEW, '!') <> ISNULL(@V_ID1UTREDUBC_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + '  RedBc=' + @V_ID1UTREDUBC_NEW;
         END;

         IF ISNULL(@V_CDTPBAIXAPAG_NEW, '!') <> ISNULL(@V_CDTPBAIXAPAG_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' CdBaixPag=' + @V_CDTPBAIXAPAG_NEW;
         END;

         IF ISNULL(@V_IDUTFORMPADIMP_NEW, '!') <> ISNULL(@V_IDUTFORMPADIMP_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' IdUtImp=' + @V_IDUTFORMPADIMP_NEW;
         END;

         IF ISNULL(@V_VRALIQIMPLCPR_NEW, -1) <> ISNULL(@V_VRALIQIMPLCPR_OLD, -1)        BEGIN
            SET @V_DESC = @V_DESC + ' VlrAlqImpLcPres=' + CONVERT(VARCHAR, @V_VRALIQIMPLCPR_NEW);
         END;

         IF ISNULL(@V_VRLIMADICLCPR_NEW, -1) <> ISNULL(@V_VRLIMADICLCPR_OLD, -1)        BEGIN
            SET @V_DESC = @V_DESC + ' VlrLimAd=' + CONVERT(VARCHAR, @V_VRLIMADICLCPR_NEW);
         END;

         IF ISNULL(@V_VRPERCADICIR_NEW, -1) <> ISNULL(@V_VRPERCADICIR_OLD, -1)          BEGIN
            SET @V_DESC = @V_DESC + ' VlwIr=' + CONVERT(VARCHAR, @V_VRPERCADICIR_NEW);
         END;

         IF ISNULL(@V_VRALIQPRES_NEW, -1) <> ISNULL(@V_VRALIQPRES_OLD, -1)              BEGIN
            SET @V_DESC = @V_DESC + ' VlrAlqPres=' + CONVERT(VARCHAR, @V_VRALIQPRES_NEW);
         END;

         IF ISNULL(@V_NMLUCROPRESUMI_NEW, '!') <> ISNULL(@V_NMLUCROPRESUMI_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' NmLucrPres=' + @V_NMLUCROPRESUMI_NEW;
         END;

         IF ISNULL(@V_CDLUCROPRESUMI_NEW, '!') <> ISNULL(@V_CDLUCROPRESUMI_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' CdLucroPres=' + @V_CDLUCROPRESUMI_NEW;
         END;

         IF ISNULL(@V_CDAJUCTPAG_NEW, '!') <> ISNULL(@V_CDAJUCTPAG_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' CdAjuPag=' + @V_CDAJUCTPAG_NEW;
         END;

         IF ISNULL(@V_NMIMPCARGATRIB_NEW, '!') <> ISNULL(@V_NMIMPCARGATRIB_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' NmImpCargTrib=' + @V_NMIMPCARGATRIB_NEW;
         END;

         IF ISNULL(@V_CDIMPCARGATRIB_NEW, '!') <> ISNULL(@V_CDIMPCARGATRIB_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' ImpCargTrib=' + @V_CDIMPCARGATRIB_NEW;
         END;

         IF ISNULL(@V_IDUTVLRQTDEIMPO_NEW, '!') <> ISNULL(@V_IDUTVLRQTDEIMPO_OLD, '!')  BEGIN
            SET @V_DESC = @V_DESC + ' VlrQnt=' + @V_IDUTVLRQTDEIMPO_NEW;
         END;

         IF ISNULL(@V_IDACRPRODENTRNF_NEW, '!') <> ISNULL(@V_IDACRPRODENTRNF_OLD, '!')  BEGIN
            SET @V_DESC = @V_DESC + ' EntNf=' + @V_IDACRPRODENTRNF_NEW;
         END;

         IF ISNULL(@V_IDGRUPFISSRV_NEW, '!') <> ISNULL(@V_IDGRUPFISSRV_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' GrupFis=' + @V_IDGRUPFISSRV_NEW;
         END;

         IF ISNULL(@V_VRMINBASECAL_NEW, -1) <> ISNULL(@V_VRMINBASECAL_OLD, -1)          BEGIN
            SET @V_DESC = @V_DESC + ' VlrMinBc=' + CONVERT(VARCHAR, @V_VRMINBASECAL_NEW);
         END;

         IF ISNULL(@V_IDVRIMPSTRIB_NEW, '!') <> ISNULL(@V_IDVRIMPSTRIB_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' VlrTrib=' + @V_IDVRIMPSTRIB_NEW;
         END;

         IF ISNULL(@V_IDUTVRMENSBC_NEW, '!') <> ISNULL(@V_IDUTVRMENSBC_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' VlrBc=' + @V_IDUTVRMENSBC_NEW;
         END;

         IF ISNULL(@V_SGIMPOSTO_NEW, '!') <> ISNULL(@V_SGIMPOSTO_OLD, '!')              BEGIN
            SET @V_DESC = @V_DESC + ' SgImposto=' + @V_SGIMPOSTO_NEW;
         END;

         IF ISNULL(@V_NMIMPOSTO_NEW, '!') <> ISNULL(@V_NMIMPOSTO_OLD, '!')              BEGIN
            SET @V_DESC = @V_DESC + ' NmImposto=' + @V_NMIMPOSTO_NEW;
         END;

         IF ISNULL(@V_CDOFICIMPO_NEW, '!') <> ISNULL(@V_CDOFICIMPO_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' CdFicImpo=' + @V_CDOFICIMPO_NEW;
         END;

         IF ISNULL(@V_IDTIPCONTAB_NEW, '!') <> ISNULL(@V_IDTIPCONTAB_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' TipoContab=' + @V_IDTIPCONTAB_NEW;
         END;

         IF ISNULL(@V_IDPRODNOTA_NEW, '!') <> ISNULL(@V_IDPRODNOTA_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' ProdNota=' + @V_IDPRODNOTA_NEW;
         END;

         IF ISNULL(@V_IDUTMUNIORIG_NEW, '!') <> ISNULL(@V_IDUTMUNIORIG_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' MuniOrig=' + @V_IDUTMUNIORIG_NEW;
         END;

         IF ISNULL(@V_IDUTUFORIG_NEW, '!') <> ISNULL(@V_IDUTUFORIG_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' UFOrig=' + @V_IDUTUFORIG_NEW;
         END;

         IF ISNULL(@V_CDFORNECED_NEW, '!') <> ISNULL(@V_CDFORNECED_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' CdForn=' + @V_CDFORNECED_NEW;
         END;

         IF ISNULL(@V_IDUTUFDEST_NEW, '!') <> ISNULL(@V_IDUTUFDEST_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' UFDest=' + @V_IDUTUFDEST_NEW;
         END;

         IF ISNULL(@V_IDUTFAIXVLR_NEW, '!') <> ISNULL(@V_IDUTFAIXVLR_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' FaixVR=' + @V_IDUTFAIXVLR_NEW;
         END;

         IF ISNULL(@V_IDUTPARCDED_NEW, '!') <> ISNULL(@V_IDUTPARCDED_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' ParcDed=' + @V_IDUTPARCDED_NEW;
         END;

         IF ISNULL(@V_IDUTREDUBC_NEW, '!') <> ISNULL(@V_IDUTREDUBC_OLD, '!')            BEGIN
            SET @V_DESC = @V_DESC + ' RedBC=' + @V_IDUTREDUBC_NEW;
         END;

         IF ISNULL(@V_IDIMPORECUP_NEW, '!') <> ISNULL(@V_IDIMPORECUP_OLD, '!')          BEGIN
            SET @V_DESC = @V_DESC + ' ImpoRecup=' + @V_IDIMPORECUP_NEW;
         END;

         IF ISNULL(@V_IDUTALIQTPOPER_NEW, '!') <> ISNULL(@V_IDUTALIQTPOPER_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' UtAliqTpOp=' + @V_IDUTALIQTPOPER_NEW;
         END;

         IF ISNULL(@V_IDDESONERAIMPO_NEW, '!') <> ISNULL(@V_IDDESONERAIMPO_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' IdDesoneraImpo=' + @V_IDDESONERAIMPO_NEW;
         END;

         IF ISNULL(@V_CDIMPOSTONFE_NEW, '!') <> ISNULL(@V_CDIMPOSTONFE_OLD, '!')        BEGIN
            SET @V_DESC = @V_DESC + ' CdImpostoNFE=' + @V_CDIMPOSTONFE_NEW;
         END;

         IF ISNULL(@V_IDUTCFOPREGFISC_NEW, '!') <> ISNULL(@V_IDUTCFOPREGFISC_OLD, '!')  BEGIN
            SET @V_DESC = @V_DESC + ' Utiliza CFOP=' + @V_IDUTCFOPREGFISC_NEW;
         END;

         IF ISNULL(@V_IDUTCSTREGFISC_NEW, '!') <> ISNULL(@V_IDUTCSTREGFISC_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' Utiliza CST=' + @V_IDUTCSTREGFISC_NEW;
         END;

         IF ISNULL(@V_IDUTVRPAUTA_NEW, '!') <> ISNULL(@V_IDUTVRPAUTA_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' UtVrPautaFisc=' + @V_IDUTVRPAUTA_NEW;
         END;

         IF ISNULL(@V_IDUTILPVRIMPBC_NEW, '!') <> ISNULL(@V_IDUTILPVRIMPBC_OLD, '!')    BEGIN
            SET @V_DESC = @V_DESC + ' UtVrImpBCalc=' + @V_IDUTILPVRIMPBC_NEW;
         END;

         IF ISNULL(@V_VRMAXIMP_NEW, -1) <> ISNULL(@V_VRMAXIMP_OLD, -1)          BEGIN
            SET @V_DESC = @V_DESC + ' VrMaxImp=' + CONVERT(VARCHAR, @V_VRMAXIMP_NEW);
         END;


         IF @V_TIPO <> '0' BEGIN
            EXEC NMUSUARIO  @V_USUARIO OUTPUT;
            EXEC WEBTUNNING @P_DSREMOTEADDR = @V_DSREMOTEADDR OUTPUT,
                            @P_DSREMOTEHOST = @V_DSREMOTEHOST OUTPUT,
                            @P_DSSERVERRDM  = @V_DSSERVERRDM  OUTPUT,
                            @P_DSSERVMETHOD = @V_DSSERVMETHOD OUTPUT,
                            @P_DSREMOTEOPER = @V_DSREMOTEOPER OUTPUT;
            SET @V_USUARIO = ISNULL(@V_USUARIO, '');
            IF NOT @V_DESC IS NULL BEGIN
               IF NOT @V_USUARIO IS NULL BEGIN
                  SET @V_DTOPER = GETDATE();

                  INSERT INTO LOGOPERA
                   (NMTABELA,      DTOPERACAO, NMRESPOPER, IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                    DSRDMUSUOPER,    DSENDUSUOPER,    DSNMUSUOPER,    DSMETUSUOPER,    CDORESPOPER)
               VALUES
                   ('IMPOSTO',   @V_DTOPER,       @V_USUARIO,     @V_TIPO,         @V_ITPESQ,       SUBSTRING(@V_DESC,1,300) ,
                   @V_DSREMOTEADDR, @V_DSREMOTEHOST, @V_DSSERVERRDM, @V_DSSERVMETHOD, @V_DSREMOTEOPER);

               END;
            END;
         END;   
        FETCH NEXT FROM C_CURSORi INTO
                                @V_ID_COMANDO,
                                @V_IDUTALIQTPOPER_OLD,
                                @V_IDMODBCSTNFE_OLD,
                                @V_IDMODBCNFE_OLD,
                                @V_IDCONTAIMPADIC_OLD,
                                @V_CDIMPOSTOXML_OLD,
                                @V_IDCONSVRBAPUIMP_OLD,
                                @V_IDATUCCTBITIMP_OLD,
                                @V_CDTRIBISSQN_OLD,
                                @V_IDIMPVALIDASPED_OLD,
                                @V_ID1UTREDUBC_OLD,
                                @V_CDTPBAIXAPAG_OLD,
                                @V_IDUTFORMPADIMP_OLD,
                                @V_VRLIMADICLCPR_OLD,
                                @V_VRALIQIMPLCPR_OLD,
                                @V_VRPERCADICIR_OLD,
                                @V_VRALIQPRES_OLD,
                                @V_NMLUCROPRESUMI_OLD,
                                @V_CDLUCROPRESUMI_OLD,
                                @V_CDAJUCTPAG_OLD,
                                @V_NMIMPCARGATRIB_OLD,
                                @V_CDIMPCARGATRIB_OLD,
                                @V_IDUTVLRQTDEIMPO_OLD,
                                @V_IDACRPRODENTRNF_OLD,
                                @V_IDGRUPFISSRV_OLD,
                                @V_VRMINBASECAL_OLD,
                                @V_IDVRIMPSTRIB_OLD,
                                @V_IDUTVRMENSBC_OLD,
                                @V_SGIMPOSTO_OLD,
                                @V_CDOFICIMPO_OLD,
                                @V_NMIMPOSTO_OLD,
                                @V_IDTRATIMPO_OLD,
                                @V_IDTIPCONTAB_OLD,
                                @V_IDPRODNOTA_OLD,
                                @V_IDUTMUNIORIG_OLD,
                                @V_IDUTUFORIG_OLD,
                                @V_CDFORNECED_OLD,
                                @V_IDUTUFDEST_OLD,
                                @V_IDUTFAIXVLR_OLD,
                                @V_IDUTPARCDED_OLD,
                                @V_IDUTREDUBC_OLD,
                                @V_IDIMPORECUP_OLD,
                                @V_CDCCTBLDESP_OLD,
                                @V_CDCCTBLPASS_OLD,
                                @V_CDCCTBLATIV_OLD,
                                @V_CDCCTBLDADM_OLD,
                                @V_IDCONSISTENT_OLD,
                                @V_IDORGARRECAD_OLD,
                                @V_CDIMPOSAPUR_OLD,
                                @V_CDAJUCTREC_OLD,
                                @V_IDDESCRFONTE_OLD,
                                @V_CDINTIMPOSTO_OLD,
                                @V_CDIMPOSTRIB_OLD,
                                @V_CDTPCTPAGAR_OLD,
                                @V_IDTPIMPOSFIS_OLD,
                                @V_IDFORMAPUR_OLD,
                                @V_IDPREIMPENTR_OLD,
                                @V_CDIMPOSTO_OLD,
                                @V_CDIMPOSTONFE_OLD,
                                @V_IDDESONERAIMPO_OLD,
                                @V_IDUTCFOPREGFISC_OLD,
                                @V_IDUTCSTREGFISC_OLD,
                                @V_IDUTVRPAUTA_OLD,
                                @V_IDUTILPVRIMPBC_OLD,
                                @V_VRMAXIMP_OLD,

                                @V_IDUTALIQTPOPER_NEW,
                                @V_IDMODBCSTNFE_NEW,
                                @V_IDMODBCNFE_NEW,
                                @V_IDCONTAIMPADIC_NEW,
                                @V_CDIMPOSTOXML_NEW,
                                @V_IDCONSVRBAPUIMP_NEW,
                                @V_IDATUCCTBITIMP_NEW,
                                @V_CDTRIBISSQN_NEW,
                                @V_IDIMPVALIDASPED_NEW,
                                @V_ID1UTREDUBC_NEW,
                                @V_CDTPBAIXAPAG_NEW,
                                @V_IDUTFORMPADIMP_NEW,
                                @V_VRLIMADICLCPR_NEW,
                                @V_VRALIQIMPLCPR_NEW,
                                @V_VRPERCADICIR_NEW,
                                @V_VRALIQPRES_NEW,
                                @V_NMLUCROPRESUMI_NEW,
                                @V_CDLUCROPRESUMI_NEW,
                                @V_CDAJUCTPAG_NEW,
                                @V_NMIMPCARGATRIB_NEW,
                                @V_CDIMPCARGATRIB_NEW,
                                @V_IDUTVLRQTDEIMPO_NEW,
                                @V_IDACRPRODENTRNF_NEW,
                                @V_IDGRUPFISSRV_NEW,
                                @V_VRMINBASECAL_NEW,
                                @V_IDVRIMPSTRIB_NEW,
                                @V_IDUTVRMENSBC_NEW,
                                @V_SGIMPOSTO_NEW,
                                @V_CDOFICIMPO_NEW,
                                @V_NMIMPOSTO_NEW,
                                @V_IDTRATIMPO_NEW,
                                @V_IDTIPCONTAB_NEW,
                                @V_IDPRODNOTA_NEW,
                                @V_IDUTMUNIORIG_NEW,
                                @V_IDUTUFORIG_NEW,
                                @V_CDFORNECED_NEW,
                                @V_IDUTUFDEST_NEW,
                                @V_IDUTFAIXVLR_NEW,
                                @V_IDUTPARCDED_NEW,
                                @V_IDUTREDUBC_NEW,
                                @V_IDIMPORECUP_NEW,
                                @V_CDCCTBLDESP_NEW,
                                @V_CDCCTBLPASS_NEW,
                                @V_CDCCTBLATIV_NEW,
                                @V_CDCCTBLDADM_NEW,
                                @V_IDCONSISTENT_NEW,
                                @V_IDORGARRECAD_NEW,
                                @V_CDIMPOSAPUR_NEW,
                                @V_CDAJUCTREC_NEW,
                                @V_IDDESCRFONTE_NEW,
                                @V_CDINTIMPOSTO_NEW,
                                @V_CDIMPOSTRIB_NEW,
                                @V_CDTPCTPAGAR_NEW,
                                @V_IDTPIMPOSFIS_NEW,
                                @V_IDFORMAPUR_NEW,
                                @V_IDPREIMPENTR_NEW,
                                @V_CDIMPOSTO_NEW,
                                @V_CDIMPOSTONFE_NEW,
                                @V_IDDESONERAIMPO_NEW,
                                @V_IDUTCFOPREGFISC_NEW,
                                @V_IDUTCSTREGFISC_NEW,
                                @V_IDUTVRPAUTA_NEW,
                                @V_IDUTILPVRIMPBC_NEW,
                                @V_VRMAXIMP_NEW;
   END;
   CLOSE      C_CURSORi;
   DEALLOCATE C_CURSORi;
END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'LOG_FIS_IMPOSTO','5.75.XXX';

